Bug 846030 - Web Designer causes java.net.SocketException: Connection reset by peer: socket write error in Guvnor REST API
Web Designer causes java.net.SocketException: Connection reset by peer: socke...
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM 5 (Show other bugs)
BRMS 5.3.1
Unspecified Windows
unspecified Severity medium
: ---
: ---
Assigned To: Tihomir Surdilovic
Lukáš Petrovický
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-06 11:12 EDT by Toshiya Kobayashi
Modified: 2013-10-10 20:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPM-3747 Minor Resolved Web Designer causes java.net.SocketException: Connection reset by peer: socket write error in Guvnor REST API 2016-12-14 18:50 EST

  None (edit)
Description Toshiya Kobayashi 2012-08-06 11:12:34 EDT
Description of problem:

Platform BZ for JBPM-3747 Web Designer causes java.net.SocketException: Connection reset by peer: socket write error in Guvnor REST API

We observes an Exception but no defect in functionallity.

How reproducible:

The exception is observed only in Windows7 so far. In my colleague's Win7, it's constantly reproducible but in my Win7, it's reproducible but not constant.

Steps to Reproduce:

- Create process A with Web Designer, generate its png and save the process
- Create process B with Web Designer
-- Add Reusable Subprocess and click CalledElement property drop-down list

Actual results:

An Exception is thrown in server side,

2012-07-27 14:41:42,469 ERROR [STDERR] (http-0.0.0.0-8080-8) ClientAbortException:  java.net.SocketException: Connection reset by peer: socket write error^M
2012-07-27 14:41:42,469 ERROR [STDERR] (http-0.0.0.0-8080-8)    at org.apache.catalina.connector.OutputBuffer.realWriteBytes(OutputBuffer.java:402)^M
2012-07-27 14:41:42,470 ERROR [STDERR] (http-0.0.0.0-8080-8)    at org.apache.tomcat.util.buf.ByteChunk.append(ByteChunk.java:354)^M
2012-07-27 14:41:42,470 ERROR [STDERR] (http-0.0.0.0-8080-8)    at org.apache.catalina.connector.OutputBuffer.writeBytes(OutputBuffer.java:425)^M
2012-07-27 14:41:42,470 ERROR [STDERR] (http-0.0.0.0-8080-8)    at org.apache.catalina.connector.OutputBuffer.write(OutputBuffer.java:414)^M
2012-07-27 14:41:42,470 ERROR [STDERR] (http-0.0.0.0-8080-8)    at org.apache.catalina.connector.CoyoteOutputStream.write(CoyoteOutputStream.java:89)^M
2012-07-27 14:41:42,470 ERROR [STDERR] (http-0.0.0.0-8080-8)    at org.apache.cxf.io.AbstractWrappedOutputStream.write(AbstractWrappedOutputStream.java:46)^M
2012-07-27 14:41:42,471 ERROR [STDERR] (http-0.0.0.0-8080-8)    at org.apache.cxf.helpers.IOUtils.copy(IOUtils.java:141)^M
2012-07-27 14:41:42,471 ERROR [STDERR] (http-0.0.0.0-8080-8)    at org.apache.cxf.helpers.IOUtils.copyAndCloseInput(IOUtils.java:109)^M
2012-07-27 14:41:42,471 ERROR [STDERR] (http-0.0.0.0-8080-8)    at org.apache.cxf.jaxrs.provider.BinaryDataProvider.writeTo(BinaryDataProvider.java:89)^M
2012-07-27 14:41:42,471 ERROR [STDERR] (http-0.0.0.0-8080-8)    at org.apache.cxf.jaxrs.interceptor.JAXRSOutInterceptor.serializeMessage(JAXRSOutInterceptor.java:256)^M
...
2012-07-27 14:41:42,477 ERROR [STDERR] (http-0.0.0.0-8080-8) Caused by: java.net.SocketException: Connection reset by peer: socket write error^M
2012-07-27 14:41:42,477 ERROR [STDERR] (http-0.0.0.0-8080-8)    at java.net.SocketOutputStream.socketWrite0(Native Method)^M
2012-07-27 14:41:42,478 ERROR [STDERR] (http-0.0.0.0-8080-8)    at java.net.SocketOutputStream.socketWrite(SocketOutputStream.java:92)^M
2012-07-27 14:41:42,478 ERROR [STDERR] (http-0.0.0.0-8080-8)    at java.net.SocketOutputStream.write(SocketOutputStream.java:136)^M
2012-07-27 14:41:42,478 ERROR [STDERR] (http-0.0.0.0-8080-8)    at org.apache.coyote.http11.InternalOutputBuffer.realWriteBytes(InternalOutputBuffer.java:724)^M
2012-07-27 14:41:42,481 ERROR [STDERR] (http-0.0.0.0-8080-8)    at org.apache.tomcat.util.buf.ByteChunk.flushBuffer(ByteChunk.java:449)^M
2012-07-27 14:41:42,481 ERROR [STDERR] (http-0.0.0.0-8080-8)    at org.apache.tomcat.util.buf.ByteChunk.append(ByteChunk.java:349)^M
2012-07-27 14:41:42,482 ERROR [STDERR] (http-0.0.0.0-8080-8)    at org.apache.coyote.http11.InternalOutputBuffer$OutputStreamOutputBuffer.doWrite(InternalOutputBuffer.java:748)^M
2012-07-27 14:41:42,482 ERROR [STDERR] (http-0.0.0.0-8080-8)    at org.apache.coyote.http11.filters.ChunkedOutputFilter.doWrite(ChunkedOutputFilter.java:126)^M
2012-07-27 14:41:42,482 ERROR [STDERR] (http-0.0.0.0-8080-8)    at org.apache.coyote.http11.InternalOutputBuffer.doWrite(InternalOutputBuffer.java:557)^M
2012-07-27 14:41:42,482 ERROR [STDERR] (http-0.0.0.0-8080-8)    at org.apache.coyote.Response.doWrite(Response.java:567)^M
2012-07-27 14:41:42,482 ERROR [STDERR] (http-0.0.0.0-8080-8)    at org.apache.catalina.connector.OutputBuffer.realWriteBytes(OutputBuffer.java:397)^M
2012-07-27 14:41:42,482 ERROR [STDERR] (http-0.0.0.0-8080-8)    ... 50 more^M


Expected results:

No exception in server.log
Comment 1 JBoss JIRA Server 2012-08-06 11:19:15 EDT
Toshiya Kobayashi <tkobayas@redhat.com> made a comment on jira JBPM-3747

Thanks! Please resolve this JIRA.
Comment 2 JBoss JIRA Server 2012-08-06 11:21:41 EDT
Tihomir Surdilovic <tsurdilo@redhat.com> updated the status of jira JBPM-3747 to Resolved
Comment 3 JBoss JIRA Server 2012-08-06 11:21:41 EDT
Tihomir Surdilovic <tsurdilo@redhat.com> made a comment on jira JBPM-3747

Resolved
Comment 4 Lukáš Petrovický 2012-08-07 02:29:55 EDT
This has been fixed upstream and should be available for us in 5.3.1.
Comment 5 Lukáš Petrovický 2012-10-16 04:31:56 EDT
Toshiya, since you've been able to reproduce this, would you mind making sure that this is no longer an issue with a recent 5.3.1 build?
Comment 6 Toshiya Kobayashi 2012-10-16 04:55:30 EDT
Sure. I (actually, my colleague) will be able to test it in a few days and get back to you.
Comment 7 Toshiya Kobayashi 2012-10-22 02:40:37 EDT
Confirmed that the issue is fixed in 5.3.1.ER3. Thanks!
Comment 8 Lukáš Petrovický 2012-10-30 04:59:56 EDT
VERIFIED.

Note You need to log in before you can comment on or make changes to this bug.